<div
  class="clock-div"
  style="--m: 0{{ pagingService.diagram.frameCount }}; --tan: 0.41; --rel: {{
    pagingService.diagram.frameCount * 0.15
  }}"
>
  <table id="clock-mid" style="font-size: 0{{ 2 + 0.2 * pagingService.diagram.frameCount }}em">
    <caption style="display: none">
      Table element with the clocks arrow
    </caption>
    <tr>
      <th scope="col">
        <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 350 100">
          <defs>
            <marker id="arrowhead" markerWidth="10" markerHeight="7" refX="0" refY="3.5" orient="auto">
              <polygon points="0 0, 10 3.5, 0 7" />
            </marker>
          </defs>
          <line x1="15" y1="50" x2="235" y2="50" stroke="#000" stroke-width="8" marker-end="url(#arrowhead)" />
        </svg>
      </th>
    </tr>
  </table>
  <table
    class="clock-table"
    *ngFor="let f of pagingService.diagram.diagram[round]; let i = index"
    style="--i: 0{{ i }}"
  >
    <caption style="display: none">
      One table element to display the clock algorithm
    </caption>
    <tr>
      <td>
        <input
          (change)="updateDatum(f.i, f.j, $event.target, round)"
          [value]="pagingDiagram.valueCheck(f.page)"
          max="{{ pagingService.pageCount }}"
          min="1"
          placeholder="{{ pagingDiagram.valueCheck(pagingService.placeholderDiagram[f.i][f.j].page) }}"
          type="number"
          class="form-control {{ pagingDiagram.getTableDatumClass(f.i, f.j) }}"
          style="width: 100%"
        />
        <div>
          <input
            (change)="pagingService.toggleFlag(f.i, f.j)"
            type="checkbox"
            value=""
            id="flexCheckClock.{{ f.i }}.{{ f.j }}"
            [attr.checked]="pagingService.getBoolFlag(f.i, f.j) ? '' : null"
            class="form-check-input"
          />
          <label class="form-check-label" for="flexCheckClock.{{ f.i }}.{{ f.j }}" style="padding-right: 1em">
            &nbsp;R={{ pagingService.getBoolFlag(f.i, f.j) ? 1 : 0 }}</label
          >
          <input
            (change)="pagingService.toggleSecFlag(f.i, f.j)"
            type="checkbox"
            value=""
            id="flexCheckClock2.{{ f.i }}.{{ f.j }}"
            [attr.checked]="pagingService.getBoolFlag(f.i, f.j, true) ? '' : null"
            class="form-check-input"
          />
          <label class="form-check-label" for="flexCheckClock2.{{ f.i }}.{{ f.j }}">
            &nbsp;M={{ pagingService.getBoolFlag(f.i, f.j, true) ? 1 : 0 }}</label
          >
        </div>
      </td>
    </tr>
    <tr>
      <th scope="col" colspan="2">{{ 'paging.basics.frame' | translate }} {{ i + 1 }}</th>
    </tr>
  </table>
</div>
<p style="margin-top: 0{{ getHeight() + 20 }}px;">
  {{ 'paging.clock.page' | translate }} : {{ pagingService.diagram.callList[round] }}
</p>
<div class="btn-toolbar" role="toolbar">
  <div class="btn-group" role="group" style="display: block">
    <button type="button" class="btn btn-secondary button-call" (click)="selectNextRound(true)" id="button-call-back">
      &lt;
    </button>
    <button
      *ngFor="let f of pagingService.diagram.callList; let i = index"
      type="button"
      class="btn btn-secondary button-call{{ i == 0 ? ' active' : '' }}"
      (click)="selectRound(i)"
      id="button-call-{{ i }}"
    >
      {{ i + 1 }}
    </button>
    <button type="button" class="btn btn-secondary button-call" (click)="selectNextRound()" id="button-call-forward">
      &gt;
    </button>
  </div>
</div>
